4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.UndefinedElements

Node classes for the stylesheet tree
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: UndefinedExtensionElement, UndefinedXsltElement |  |  |  | Fields: XSL_NAMESPACE

## Classes

class UndefinedExtensionElement(_UndefinedElement)

### Methods inherited from class _UndefinedElement

instantiate

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

legalAttrs = None

### Fields

class UndefinedXsltElement(_UndefinedElement)

### Methods inherited from class _UndefinedElement

instantiate

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

legalAttrs = {}

### Fields

XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'